Page MenuHomePhabricator

"Page should be undoable" selenium test is flaky
Open, Needs TriagePublic

Description

Seen this fail twice today, out of maybe a dozen merge attempts:

13:20:56 [0-1] Error in "Page should be undoable"
13:20:56 Can't call getText on element with selector "#mw-content-text .mw-parser-output" because element wasn't found
13:20:56 [0-1] FAILED in chrome - /tests/selenium/specs/page.js

The screenshot suggests this is a timing issue, checking the page content before the page finished saving:

Page-should-be-undoable.png (1×1 px, 154 KB)

The test was added in rMW32c36f0e7303: selenium: undo page which was quite a while ago, not sure what changed.

Event Timeline

It seems to me that for some reason welcome to testwiki popup wasn't disabled, and that caused the failure.

Daimona raised the priority of this task from Medium to Unbreak Now!.Mar 8 2021, 4:46 PM
Daimona added a subscriber: Daimona.

This has caused r669091 for AbuseFilter to fail gate-and-submit twice today.

Breaking other repos -> UBN

I'm unlikely to have the time to take a look today, de-assigning for now.

Change 670173 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Suppress VisualEditor welcome dialog in undo Selenium test

https://gerrit.wikimedia.org/r/670173

Change 670173 merged by jenkins-bot:
[mediawiki/core@master] Suppress VisualEditor welcome dialog in undo Selenium test

https://gerrit.wikimedia.org/r/670173

matmarex added a subscriber: matmarex.

Hopefully fixed?

This time the error is:

23:14:18 Node is either not visible or not an HTMLElement

image.png (1×1 px, 167 KB)

Change 670787 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/core@master] selenium: Disable flaky undoable page test

https://gerrit.wikimedia.org/r/670787

Another error screenshot:

image.png (828×1 px, 94 KB)

This keeps breaking in GrowthExperiments repo patches, I'm not sure if it's seen elsewhere. I've pushed a patch to disable the test.

Change 670787 merged by jenkins-bot:
[mediawiki/core@master] selenium: Disable flaky undoable page test

https://gerrit.wikimedia.org/r/670787

Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Mar 25 2021, 10:06 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Test is disabled, so no longer UBN.

zeljkofilipin raised the priority of this task from High to Needs Triage.Sep 17 2021, 9:35 AM